Could not find any version that matches com.android.support:multidex:25.+


#1

I got the exact same issue.

BUILD FAILED

        Total time: 10.881 secs
        Error: <redacted>/platforms/android/gradlew: Command failed with
        exit code 1 Error output:
        FAILURE: Build failed with an exception.

        * What went wrong:
        A problem occurred configuring root project 'android'.
        > Could not resolve all dependencies for configuration ':_armv7DebugApkCopy'.
            > Could not find any version that matches com.android.support:multidex:25.+.
              Versions that do not match:
                  1.0.1
                  1.0.0
                  1.0.2
              Searched in the following locations:

        file:<redacted>/Library/Android/sdk/extras/android/m2repository/com/android/support/multidex/maven-metadata.xml

        file:<redacted>/platforms/android/sdk-manager/com/android/support/multidex/maven-metadata.xml

        file:<redacted>/platforms/android/sdk-manager/com/android/support/multidex/
              Required by:
                  project :

        * Try:
        Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

Running ionic info produces the following output:

cli packages: (<redacted>/node_modules)

    @ionic/cli-utils  : 1.13.0
    ionic (Ionic CLI) : 3.13.0

global packages:

    cordova (Cordova CLI) : 7.0.1
    Gulp CLI              : CLI version 3.9.1 Local version 3.9.1

local packages:

    Cordova Platforms : android 6.2.3 browser 4.1.0 ios 4.4.0
    Ionic Framework   : ionic1 1.3.1

System:

    ios-deploy : 1.9.0
    ios-sim    : 5.0.12
    Node       : v6.8.0
    npm        : 4.2.0
    OS         : OS X El Capitan
    Xcode      : Xcode 8.2 Build version 8C38

Misc:

    backend : legacy

Ionic Pro: Package compiling error